#!/usr/bin/env gnuplot -persist

set fit logfile '/dev/null'

rho(x)=(rhoL / 2) * (1 + tanh(-(abs(x) - zg) / delta))
rhoL = 1000
zg = 12
delta = 1
fit rho(x) "density.out" u 1:2:3 via rhoL ,zg, delta

plot "density.out" u 1:($2 - $3):($2 + $3) w filledcu ls 1, '' w l ls 3, rho(x) ls 2

set print "densityFit.out"
print "rhoL ", rhoL
print "zgibbs ", zg
print "delta ", delta

